@import url('https://fonts.googleapis.com/css2?family=Clicker+Script&family=Poppins:wght@200;300;500;600;700&display=swap');

:root{
  --bg-black-900:#f2f2fc;
  --bg-black-100:#fdf9fb;
  --bg-black-50:#e8dfec;
  --text-black-900:#302e4d;
  --text-black-700:#504e70;
}
body.dark {
  --bg-black-900:#151515;
  --bg-black-100:#222222;
  --bg-black-50:#393939;
  --text-black-900:#ffffff;
  --text-black-700:#e9e9e9;
}
body{
  line-height: 1.5;
  font-size: 16px;
  font-family: 'Poppins', sans-serif;

}

*{
  margin: 0;
  padding: 0;
  outline: none;
  text-decoration: none;
  box-sizing: border-box;
}

::before, ::after{
  box-sizing: border-box;
}

ul{
  list-style: none;

}

.section{
  background: var(--bg-black-900);
  min-height: 100vh;
  display: block;
  padding: 0 30px;
  opacity: 1;
}
.hidden{
  display: none !important;
}
.main-content{
  padding-left: 270px;
}
.padd-15{
  padding-left: 15px;
  padding-right: 15px;

}
.container{
  max-width: 1100px;
  width: 100%;
  margin: auto;

}
.section .container{
  padding-top: 60px;
  padding-bottom: 70px;
}
.section-title{
  flex: 0 0 100%;
  max-width: 100%;
  margin-bottom: 60px;
}
.section-title h2{
  font-size: 40px;
  color: var(--text-black-900);
  font-weight: 700;
  position: relative;
}
.section-title h2::before{
  content: '';
  height: 4px;
  width: 50px;
  background-color: var(--skin-color);
  position: absolute;
  top: 100%;
  left: 0;
}
.section-title h2::after{
  content: '';
  height: 4px;
  width: 25px;
  background-color: var(--skin-color);
  position: absolute;
  top: 100%;
  left: 0;
  margin-top: 8px;
}
.row{
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
  position: relative;
}
.btn{
  font-size: 16px;
  font-weight: 500;
  padding: 12px 35px;
  color: white;
  border-radius: 40px;
  display: inline-block;
  white-space: nowrap;
  border: none;
  background: var(--skin-color);
  transition: all 0.3s ease;
}
.btn:hover{
  transform: scale(1.05);
}
.shadow-dark{
  box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
}

.aside{
  width: 270px;
  background: var(--bg-black-100);
  position: fixed;
  left: 0;
  top: 0;
  padding: 30px;
  height: 100%;
  border-right: 1px solid var(--bg-black-50);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  background-color: var(--bg-black-100);
}
.aside .logo{
  position: absolute;
  top: 50px;
  font-size: 30px;
  text-transform: capitalize;
  
}
.aside .logo a{
  color: var(--text-black-900);
  font-weight: 700; 
  padding: 15px 20px;
  font-size: 30px;
  letter-spacing: 4px;
  position: relative;
}
.aside .logo a span{
  font-family: 'Clicker Script', cursive;
  font-size: 40px;
}
.aside .logo a::before{
  content: '';
  position: absolute;
  width: 20px;
  height: 20px;
  border-bottom: 5px solid var(--skin-color);
  border-left: 5px solid var(--skin-color);
  bottom: 0;
  left: 0;
}
.aside .logo a::after{
  content: '';
  position: absolute;
  width: 20px;
  height: 20px;
  border-top: 5px solid var(--skin-color);
  border-right: 5px solid var(--skin-color);
  top: 0;
  right: 0;
}
.aside .nav-toggler{
  height: 40px;
  width: 45px;
  border: 1px solid var(--bg-black-50);
  cursor: pointer;
  position: fixed;
  left: 300px;
  top: 20px;
  border-radius: 5px;
  background: var(--bg-black-100);
  display: none;
  align-items: center;
  justify-content: center;
}
.aside .nav-toggler span{
  height: 2px;
  width: 18px;
  background: var(--skin-color);
  display: inline-block;
  position: relative;
}
.aside .nav-toggler span::before{
  content: '';
  height: 2px;
  width: 18px;
  background: var(--skin-color);
  position: absolute;
  top: -6px;
  left: 0;
}
.aside .nav-toggler span::after{
  content: '';
  height: 2px;
  width: 18px;
  background: var(--skin-color);
  position: absolute;
  top: 6px;
  left: 0;
}
.aside .nav{
  margin-top: 50px;
}
.aside .nav li{
  margin-bottom: 20px;
  display: block;
}
.aside .nav li a{
  font-size: 16px;
  font-weight: 600;
  display: block;
  border-bottom: 1px solid var(--bg-black-50);
  color: var(--text-black-900);
  padding: 5px 15px;
}
.aside .nav li a.active{
  color: var(--skin-color);
}
.aside .nav li a i{
  margin-right: 15px;
}

.home{
  min-height: 100vh;
  display: flex;
  color: var(--text-black-900);
}
.home .home-info{
  flex: 0 0 60%;
  max-width: 60%; 
}
h3.hello{
  font-size: 28px;
  margin: 15px 0;
}
h3.hello span{
  font-family: 'Clicker Script', cursive;
  font-size: 30px;
  font-weight: 700;
  color: var(--skin-color);
}
h3.my-profession{
  font-size: 30px;
  margin: 15px 0;
}
.typing{
  color: var(--skin-color);
}
.home-info p{
  margin-bottom: 70px;
  font-size: 20px;
  color: var(--text-black-700);
}
.home .home-img{
  flex: 0 0 40%;
  max-width: 40%;
  text-align: center;
  position: relative;
}
.home-img::after{
  content: '';
  position: absolute;
  height: 80px;
  width: 80px;
  border-bottom: 10px solid var(--skin-color);
  border-right: 10px solid var(--skin-color);
  right: -20px;
  bottom: -40px;
}
.home-img::before{
  content: '';
  position: absolute;
  height: 80px;
  width: 80px;
  border-top: 10px solid var(--skin-color);
  border-left: 10px solid var(--skin-color);
  left: -20px;
  top: -40px;
}
.home .home-img img{
  margin: auto;
  border-radius: 5px;
  height: 400px;
}

.about .about-content{
  flex: 0 0 100%;
  max-width: 100%;
}
.about .about-content .about-text{
  flex: 0 0 100%;
  max-width: 100%;
}
.about .about-content .about-text h3{
  font-size: 24px;
  margin-bottom: 15px;
  font-weight: 700;
  color: var(--text-black-900);
}
.about .about-content .about-text h3 span{
  color: var(--skin-color);
}
.about .about-content .about-text p{
  font-size: 16px;
  line-height: 25px;
  color: var(--text-black-700);
}
.about .about-content .personal-info{
  flex: 0 0 50%;
  max-width: 50%;
  margin-top: 40px;
}
.about .about-content .personal-info .info-item{
  flex: 0 0 100%;
  max-width: 100%;
}
.about .about-content .personal-info .info-item p{
  font-weight: 600;
  padding: 10px 0;
  font-size: 16px;
  color: var(--text-black-900);
  border-bottom: 1px solid var(--bg-black-50);
}
.about .about-content .personal-info .info-item p span{
  font-weight: 400;
  color: var(--text-black-700);
  margin-left: 4px;
  display: inline-block;
}
.about .about-content .personal-info .button{
  margin-top: 30px;
}
.about .about-content .personal-info .button .btn{
  margin-right: 15px;
  margin-top: 10px;
}
.about .about-content .skills{
  flex: 0 0 50%;
  max-width: 50%;
  margin-top: 40px;
}
.about .about-content .skills .skill-item0{
  flex: 0 0 40%;
  max-width: 40%;
}
.about .about-content .skills .skill-item{
  flex: 0 0 30%;
  max-width: 30%;
}
.about .about-content .skills .skill-item h5, 
.about .about-content .skills .skill-item0 h5{
  font-weight: 600;
  padding: 10px 0;
  font-size: 16px;
  color: var(--text-black-900);
  border-bottom: 1px solid var(--bg-black-50);
}
.about .about-content .education, 
.about .about-content .experience {
  flex: 0 0 50%;
  max-width: 50%;
  margin-top: 30px;
}
.about .about-content h3.title{
  font-size: 24px;
  margin-bottom: 30px;
  font-weight: 700;
  color: var(--text-black-900);
}
.about .about-content .timeline-box{
  flex: 0 0 100%;
  max-width: 100%;
}
.about .about-content .timeline{
  background-color: var(--bg-black-100);
  padding: 30px 15px;
  border: 1px solid var(--bg-black-50);
  border-radius: 10px;
  width: 100%;
  position: relative;
}
.about .about-content .timeline .timeline-item{
  position: relative;
  padding-left: 37px;
  padding-bottom: 50px;
}
.about .about-content .timeline .timeline-item:last-child{
  padding-bottom: 0;
}
.about .about-content .timeline .timeline-item::before{
  content: '';
  width: 1px;
  position: absolute;
  height: 100%;
  left: 7px;
  top: 0;
  background-color: var(--skin-color);
}
.about .about-content .timeline .circle-dot{
  position: absolute;
  left: 0;
  top: 0;
  height: 15px;
  width: 15px;
  border-radius: 50%;
  background-color: var(--skin-color);
}
.about .about-content .timeline .timeline-date{
  font-weight: 400;
  font-size: 14px;
  margin-bottom: 12px;
  color: var(--text-black-700);
}
.about .about-content .timeline .timeline-date .fa{
  margin-right: 5px;
}
.about .about-content .timeline .timeline-title{
  font-weight: 700;
  font-size: 18px;
  margin-bottom: 15px;
  text-transform: capitalize;
  color: var(--text-black-900);
}



.project .container{
  padding-bottom: 40px;
}
.project .project-item{
  margin-bottom: 30px;
  flex: 0 0 50%;
  max-width: 50%;
}
.project .project-item .project-item-inner{
  background-color: var(--bg-black-100);
  border: 1px solid var(--bg-black-50);
  border-radius: 10px;
  padding: 30px 15px;
  transition: all 0.3s ease;
}
.project .project-item .project-item-inner:hover{
  box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
}
.project .project-item .project-item-inner h4{
  font-size: 18px;
  margin-bottom: 15px;
  text-align: center;
  color: var(--text-black-900);
  font-weight: 700;
  text-transform: capitalize;
}
.project .project-item .project-item-inner p{
  font-size: 16px;
  color: var(--text-black-700);
  line-height: 25px;
}




.contact-title{
  color: var(--skin-color);
  text-align: center;
  font-size: 25px;
  margin-bottom: 30px;
}
.contact .contact-info-item{
  flex: 0 0 33%;
  max-width: 33%;
  text-align: center;
  margin-bottom: 60px;
}
.contact .contact-info-item .icon{
  display: inline-block;
}
.contact .contact-info-item .icon .fa{
  font-size: 25px;
  color: var(--skin-color);
}
.contact .contact-info-item h4{
  font-size: 18px;
  font-weight: 700;
  color: var(--text-black-900);
  text-transform: capitalize;
  margin: 15px 0 5px;

}
.contact .contact-info-item p{
  font-size: 16px;
  line-height: 25px;
  color: var(--text-black-700);
  font-weight: 400;
}
.contact .contact-form{
  flex: 0 0 100%;
  max-width: 100%;
}
.contact .contact-form .col-6{
  flex: 0 0 50%;
  max-width: 50%;
}
.contact .contact-form .col-12{
  flex: 0 0 100%;
  max-width: 100%;
}
.contact .contact-form .form-item{
  margin-bottom: 30px;
}
.contact .contact-form .form-item .form-control{
  width: 100%;
  height: 50px;
  border-radius: 25px;
  background: var(--bg-black-100);
  border: 1px solid var(--bg-black-50);
  padding: 10px 25px;
  font-size: 16px;
  color: var(--text-black-700);
  transition: all 0.3s ease;
}
.contact .contact-form .form-item .form-control:focus{
  box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
}
.contact .contact-form .form-item textarea.form-control{
  height: 140px;  
}
.contact .contact-form .btn{
  height: 50px;
  padding: 0 50px;
}
@media(max-width: 1199px){
  .aside{
    left: -270px;
  }
  .main-content{
    padding-left: 0;
  }
  .about .about-content .personal-info .info-item p  span{
    display: block;
    margin-left: 0;

  }
}
@media(max-width: 991px){
  .contact .contact-info-item, 
  .project .project-item{
    flex: 0 0 50%;
    max-width: 50%;
  }
  .home .home-info{
    flex: 0 0 100%;
    max-width: 100%;
  }
  .home .home-img{
    display: none;
  }
}
@media(max-width: 767px){
  .contact .contact-form .col-16,
  .contact .contact-info-item,
  .project .project-item,
  .about .about-content .experience,
  .about .about-content .education,
  .about .about-content .skills,
  .about .about-content .personal-info{
    flex: 0 0 100%;
    max-width: 100%;
  }
}